﻿@model System.Collections.Generic.List<DataBaseFinalProject.Models.IncomeCategory>

@{
    ViewBag.Title = "Income Categories";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<p>
    <a asp-action="Create" class="btn btn-primary mb-3">Create Income Category</a>
</p>

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">Name</th>
            <th scope="col">Created At</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach (var incomeCategory in Model)
        {
            <tr>
                <td>@incomeCategory.Id</td>
                <td>@incomeCategory.Name</td>
                <td>@incomeCategory.CreatedAt.ToString("dd/MM/yyyy")</td>
                <td>
                    <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-Id="@incomeCategory.Id">Edit</a>
                    <button type="button" class="btn btn-sm btn-danger" onclick="deleteCategory('@incomeCategory.Id')">Delete</button>
                    <form id="deleteForm_@incomeCategory.Id" asp-action="Delete" asp-route-id="@incomeCategory.Id" method="post" style="display:none;">
                    </form>
                </td>
            </tr>
        }
        </tbody>
    </table>
</div>

@section Scripts {
    <script>
    function deleteCategory(incomeCategoryId) {
        if (confirm('Are you sure you want to delete this income category?')) {
            document.getElementById('deleteForm_' + incomeCategoryId).submit();
        }
    }
</script>
}